<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Panier.
    -->
    <changeSet id="20230409182809-1" author="jhipster">
        <createTable tableName="panier">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="date" type="date">
                <constraints nullable="true" />
            </column>
            <column name="valeur" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="state" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="utilisateur_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

    <changeSet id="20230409182809-1-relations" author="jhipster">

        <createTable tableName="rel_panier__produit">
            <column name="produit_id" type="bigint">
                <constraints nullable="false"/>
            </column>
            <column name="panier_id" type="bigint">
                <constraints nullable="false"/>
            </column>
        </createTable>

        <addPrimaryKey columnNames="panier_id, produit_id" tableName="rel_panier__produit"/>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20230409182809-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/panier.csv"
                  separator=";"
                  tableName="panier"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="date" type="date"/>
            <column name="valeur" type="numeric"/>
            <column name="state" type="string"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
